/*
 * timer.cpp
 *
 *  Created on: 2010.03.15.
 *      Author: Szabó László
 */

#include "timer.hpp"

TIMER :: TIMER(){
	startTicks = 0;
	pausedTicks = 0;

	started = false;
	paused = false;
}

void TIMER :: start(){
	startTicks = SDL_GetTicks();
	paused = false;
}

void TIMER :: stop(){
	startTicks = 0;
}

int TIMER :: get_ticks(){
	return SDL_GetTicks() - startTicks;
}
